/*
	接口统一管理
*/
const apiurl = {
	// 获取微信信息
	wxinfo: {
		url: '/auth/miniappLoginInfo',
		type: 'get'
	},
	// 授权获取微信手机号
	getMobile: {
		url: '/auth/getMobile',
		type: 'get'
	},
	// 用户注册登陆
	login: {
		url: '/auth/userRegisterOrLogin',
		type: 'post'
	},
	// 重新登录
	reLogin: {
		url: '/auth/login',
		type: 'post'
	},
	// 查询登录用户信息
	memberInfo: {
		url: '/memberInfo/selectById',
		type: 'get'
	},
	// 修改用户信息
	updateMemberInfo: {
		url: '/memberInfo/update',
		type: 'put'
	},
	// 商品分类信息
	goodsTypeTree: {
		url: '/goodsType/tree',
		type: 'get'
	},
	// 商品分类信息列表
	goodsTypeList: {
		url: '/goodsType/list',
		type: 'get'
	},
	// 商品列表
	memberGoodList: {
		url: '/goods/memberGoodList',
		type: 'get'
	},
	// 商品详情
	memberGoodDetails: {
		url: '/goods/memberGetById',
		type: 'get'
	},
	// 商品评价
	commentList: {
		url: '/goods/commentList',
		type: 'get'
	},
	// 查询类型简介
	xsGetIntro: {
		url: '/shop/getIntro',
		type: 'get'
	},
	// 商行产品类型
	shopGoodsType: {
		url: '/shopGoodsType/list',
		type: 'get'
	},
	// 商行产品列表
	shopGoods: {
		url: '/shopGoods/pageList',
		type: 'get'
	},
	// 动态类型列表
	shopNewsType: {
		url: '/shopNewsType/list',
		type: 'get'
	},
	// 动态列表
	shopNewsList: {
		url: '/shopNews/pageList',
		type: 'get'
	},
	// 动态详情
	shopNews: {
		url: '/shopNews/selectById',
		type: 'get'
	},
	// 动态详情增加浏览量
	addViewCount: {
		url: '/shopNews/addViewCount',
		type: 'put'
	},
	// 购物车
	// 商品加入购物车
	addCart: {
		url: '/goodsCart/insert',
		type: 'post'
	},
	// 购物车列表
	cartList: {
		url: '/goodsCart/pageList',
		type: 'get'
	},
}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
}

export {
	apiurl,
	otherApiUrl
}